Create Sub-Account

Prev Next
Post
/v1/sub-accounts

Create a new Sub-Account for a specific Control Account.

Required fields: name, wasabiAccountEmail, password (unless sendWelcomeEmail is true)

Note: If storageQuotaType is "Hard quota", then purchasedStorageTB must be a positive number.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Body parameters
minimal

Required fields only

{
  "name": "sample-sub-account",
  "wasabiAccountEmail": "wasabi-wacm-api@gmail.com",
  "password": "SecurePass123!"
}
full

All fields

{
  "controlAccountId": "12345",
  "name": "sample-sub-account",
  "wasabiAccountEmail": "wasabi-wacm-api@gmail.com",
  "password": "SecurePass123!",
  "sendPasswordResetToSubAccountEmail": "True",
  "passwordResetRequired": "False",
  "ftpEnabled": "True",
  "isTrial": "False",
  "purchasedStorageTB": "2",
  "storageQuotaType": "Soft quota",
  "sendWelcomeEmail": "False",
  "address1": "123 Main St",
  "city": "Boston",
  "country": "United States",
  "state": "Massachusetts",
  "zip": "02101"
}
trial

Trial account

{
  "name": "trial-sub-account",
  "wasabiAccountEmail": "trial@example.com",
  "password": "SecurePass123!",
  "isTrial": "True",
  "trialQuotaTB": "1",
  "trialDays": "30"
}
object
controlAccountId
integer

Required for Wasabi Admin and Governance Account users.

name
string Required

Sub-Account name. Cannot start with a space.

Min length3
Max length100
wasabiAccountEmail
string (email) Required
password
string Required

Required unless sendWelcomeEmail is true. Must be 6+ chars with digit, mixed case, and special char.

sendPasswordResetToSubAccountEmail
boolean
passwordResetRequired
boolean
ftpEnabled
boolean
isTrial
boolean
trialQuotaTB
number
trialDays
integer
channelAccountId
integer | null
purchasedStorageTB
number

Storage quota in TB. Required if storageQuotaType is "Hard quota".

Minimum0
storageQuotaType
string
Valid values[ "Soft quota", "Hard quota" ]
Default"Soft quota"
sendWelcomeEmail
boolean

If true, sends welcome email and ignores password field.

address1
string
address2
string
country
string
city
string
state
string
zip
string
mainPhone
string
billingPhone
string
contactEmail
string (email)
billingEmail
string (email)
taxId
string
businessNumber
string
fiscalNumber
string
vatNumber
string
website
string
Responses
200

Successfully created sub-account

{
  "success": "True",
  "code": "RES-I-0001",
  "message": "Sub-Account has been successfully created!",
  "data": {
    "id": "54322",
    "name": "sample-sub-account",
    "wasabiAccountNumber": "100123457",
    "wasabiAccountEmail": "wasabi-wacm-api@gmail.com",
    "creationDate": "2024-01-15T14:00:00Z",
    "status": "PAID_ACCOUNT",
    "sendPasswordResetToSubAccountEmail": "False",
    "ftpEnabled": "True",
    "purchasedStorageTB": "1",
    "storageQuotaType": "Soft quota",
    "accessKey": "AKIAIOSFODNN7EXAMPLE",
    "secretKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
    "channelAccountId": "53211",
    "channelAccountName": "Sample Channel Account",
    "controlAccountId": "13337",
    "controlAccountName": "Sample Control Account",
    "governanceAccountId": "3214",
    "governanceAccountName": "Sample Governance",
    "mfaEnabled": "False"
  }
}
Expand All
object
success
boolean
code
string
message
string
data
object (SubAccountCreateResponse)
id
integer
name
string
wasabiAccountNumber
integer
wasabiAccountEmail
string
creationDate
string (date-time)
status
string
sendPasswordResetToSubAccountEmail
boolean
ftpEnabled
boolean
trialQuotaTB
integer
trialExpiration
string (date-time)
accessKey
string
secretKey
string
channelAccountId
integer
channelAccountName
string
purchasedStorageTB
number
storageQuotaType
string
mfaEnabled
boolean
controlAccountId
integer

Included for Wasabi Admin and Governance Account users

controlAccountName
string

Included for Wasabi Admin and Governance Account users

governanceAccountId
integer

Included for Wasabi Admin users only

governanceAccountName
string

Included for Wasabi Admin users only